<?php

/**
 * @package     Joomla.Administrator
 * @subpackage  com_content
 *
 * @copyright   (C) 2006 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace Slyweb\Component\Mapyandex\Administrator\Controller;

use JComponentHelper;
use JFactory;
use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Router\Route;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * Component Controller
 *
 * @since  1.5
 */
class DisplayController extends BaseController
{
    /**
     * The default view.
     *
     * @var    string
     * @since  1.6
     */
    protected $default_view = 'mapyandex';

    /**
     * Method to display a view.
     *
     * @param   boolean  $cachable   If true, the view output will be cached
     * @param   array    $urlparams  An array of safe URL parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
     *
     * @return  BaseController|boolean  This object to support chaining.
     *
     * @since   1.5
     */
    public function display($cachable = false, $urlparams = array())
    {

        $view   = $this->input->get('view', '');
        $layout = $this->input->get('layout', 'mapyandex');
        $task = $this->input->get('task', '');
        $id     = $this->input->getInt('id');

        $params = JComponentHelper::getParams('com_mapyandex');
        $this->key = $params->get('key');
        if (!$this->key) {
            \Joomla\CMS\Factory::getApplication()->enqueueMessage(
            	'You need yandex api key. <br/> Link https://developer.tech.yandex.ru/services/. See input below.',
            	'error'
            );
        }

        // Check for edit form.
        if ($view == 'allmaps' && $task == 'add') {
            // Somehow the person just went to the form - we don't allow that.
            $this->setRedirect(Route::_('index.php?option=com_mapyandex&view=allmaps&layout=form', false));

            return false;
        }

        return parent::display();
    }
}
