<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
namespace Slyweb\Component\Mapyandex\Administrator\Controller;
// No direct access
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\Controller\AdminController;

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.controller' );

class MapyandexController extends AdminController
{

	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();
        $this->input = \Joomla\CMS\Factory::getApplication()->input;
		$this->registerTask( 'apply'  , 'save' );
		// Register Extra tasks
    }

	/**
	 * display the edit form
	 * @return void
	 */
	function allmaps()
	{
        $this->input->set( 'view', 'map');
        $this->input->set( 'layout', 'form');
        $this->input->set( 'hidemainmenu', 1);

		parent::display();
	}


	function edit()
	{
        $this->input->set( 'view', 'map' );
        $this->input->set( 'layout', 'form'  );
        $this->input->set('hidemainmenu', 1);

		parent::display();
	}


	function add()
	{
        $this->input->set( 'view', 'mapyandex' );
        $this->input->set( 'layout', 'form'  );
        $this->input->set('hidemainmenu', 1);

		parent::display();
	}
	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{

		$model = $this->getModel('mapyandex');

		if ($model->store($post)) {
			$msg = Text::_( 'COM_MAPYANDEX_SUCCESSADDNEW' );

		} else {
			$msg = Text::_( 'COM_MAPYANDEX_ERRORADDNEW' );

		}
			$link = 'index.php?option=com_mapyandex';
			$this->setRedirect($link, $msg);
		// Check the table in so it can be edited.... we are done with it anyway

	}

	function apply()
	{

		$model = $this->getModel('map');

		if ($model->store($post)) {
			$msg = Text::_( 'COM_MAPYANDEX_SUCCESS' );
		} else {
			$msg = Text::_( 'COM_MAPYANDEX_ERROR' );
		}
		$id = $this->input->get( 'id', '', 'post','string');

		$link = 'index.php?option=com_mapyandex&view=map&layout=form&id='. $id;
		$this->setRedirect($link, $msg);

	}
	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('mapyandex');
		if ($model->delete($post)) {
			$msg = Text::_( 'COM_MAPYANDEX_SUCCESSDELETE' );
		} else {
			$msg = Text::_( 'COM_MAPYANDEX_ERRORDELETE' );
		}

		$this->setRedirect( 'index.php?option=com_mapyandex', $msg );
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = Text::_( 'COM_MAPYANDEX_CANCEL' );
		$this->setRedirect( 'index.php?option=com_mapyandex', $msg );
	}

}
