<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
namespace Slyweb\Component\Mapyandex\Administrator\Model;

// No direct access
use JFactory;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\ListModel;
use Joomla\Database\ParameterType;
use Joomla\Registry\Registry;
use JPagination;
use stdClass;

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modeladmin');
jimport('joomla.html.pagination');
jimport('joomla.application.component.modellist');

class AjaxModel extends ListModel
{

    var $_foobar;

    function __construct()
    {

        parent::__construct();
        // get the cid array from the default request hash
        $cid = JFactory::getApplication()->input->get('cid');


        if ($cid) {
            $id = $cid[0];
        } else {
            $id = JFactory::getApplication()->input->get('id', 3);
        }

        $this->setId($id);
    }


    /**
     * Обновление ID и данных
     *
     * @param int foobar ID
     */

    function setId($id)
    {
        $this->_id = $id;
    }



    /**
     * Вывод мудрых мыслей с пагинацией
     * @возвращает список строк в файл view.html.php
     */
    function getFoobar()
    {
        // if foobar is not already loaded load it now
        if (!$this->_foobar) {
            $db = $this->getDBO();
            $query = "SELECT * FROM " . $db->quoteName('#__map_yandex')
                . " WHERE " . $db->quoteName('id') . " = " . $this->_id;
            $db->setQuery($query);
            $this->_foobar = $db->loadObject();
        }
        // return the foobar data
        return $this->_foobar;
    }


}

?>
