<?php
/*
 * @package Joomla 4.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\Model;

// No direct access
use JFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\ListModel;

\defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modeladmin');
jimport('joomla.html.pagination');
jimport('joomla.application.component.modellist');

class AjaxtaskModel extends ListModel
{
    var $_map;

    function __construct()
    {
        parent::__construct();
        $this->input = JFactory::getApplication()->input;
        // get the cid array from the default request hash
        $cid = JFactory::getApplication()->input->get('cid');

        if ($cid) {
            $id = $cid[0];
        } else {
            $id = JFactory::getApplication()->input->get('id');
        }
        $this->setId($id);
    }

    protected function setId($id)
    {
        $this->_id = $id;
    }

    public function getMap()
    {
        // if foobar is not already loaded load it now
        if (!$this->_map) {
            $idmap = $this->input->get('idmap');
            $db = $this->getDatabase();
            $query = "SELECT * FROM " . $db->quoteName('#__map_yandex') . " WHERE " . $db->quoteName('id') . " = '" . $idmap . "'";
            $db->setQuery($query);
            $this->_map = $db->loadObject();
        }

        return $this->_map;

    }

    public function getIdregion()
    {
        // if foobar is not already loaded load it now
        if (!$this->_map) {
            $idmap = $this->input->get('idmapforregion');
            $db = $this->getDatabase();
            $query = "SELECT * FROM " . $db->quoteName('#__map_yandex') . " WHERE " . $db->quoteName('id') . " = '" . $idmap . "'";
            $db->setQuery($query);
            $this->_map = $db->loadObject();
        }

        return $this->_map;
    }

    function textnl($text)
    {
        $text = str_replace("\r\n", "<br />", $text);
        $text = str_replace("\r", "<br />", $text);
        $text = str_replace("\n\n", '<p>', $text);
        $text = str_replace("\n", '<br />', $text);

        return addslashes($text);
    }

    /**
     * Method to store a record
     *
     * @access    public
     * @return    boolean    True on success
     */
    function store($post, $col)
    {
        $db = $this->getDatabase();
        $el = json_encode($post);

        $idmap = (!!$this->input->get('idmapforregion')) ? $this->input->get('idmapforregion') : $this->input->get('idmap');

        // Store the web link table to the database
        $query = "UPDATE " . $db->quoteName('#__map_yandex')
            . " set " . $db->quoteName($col) . " = '" . $this->textnl($el)
            . "' WHERE " . $db->quoteName('id') . " = '" . $idmap . "'";
        $db->setQuery($query);
        if (!$db->execute()) {
            Factory::getApplication()->enqueueMessage($db->getError(), 'error');

            return false;
        }

        return true;
    }

}
