<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\Model;

// No direct access
use JFactory;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\MVC\Factory\MVCFactoryInterface;
use Joomla\CMS\MVC\Model\AdminModel;
use Joomla\CMS\MVC\Model\ListModel;
use Joomla\Registry\Registry;
use JPagination;
use JTable;
use stdClass;

\defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modeladmin');
jimport('joomla.html.pagination');
jimport('joomla.application.component.modellist');

class MetkaModel extends AdminModel
{
    /**
     * Foobar ID
     *
     * @var int
     * @since    2.5
     */
    var $_id;

    /**
     * Foobar data
     *
     * @var object
     * @since    2.5
     */

    var $_foobar;
    var $_metka;
    var $map;
    /**
     * @var mixed
     * @since    2.5
     */
    private $db;

    /**
     * Constructor, builds object and determines the foobar ID
     * @since    2.5
     */
    function __construct()
    {
        parent::__construct();
        // get the cid array from the default request hash
        $this->input = Factory::getApplication()->input;
        $id = $this->input->get('id');
        $this->setId($id);
        $this->db  = Factory::getContainer()->get('DatabaseDriver');
    }

    /**
     * Returns a reference to the a Table object, always creating it.
     *
     * @param type    The table type to instantiate
     * @param string    A prefix for the table class name. Optional.
     * @param array    Configuration array for model. Optional.
     * @return    JTable    A database object
     * @since    2.5
     */
    public function getTable($type = 'Metki', $prefix = 'Table', $config = array()): JTable
    {
        return JTable::getInstance($type, $prefix, $config);
    }

    /**
     * Method to get the record form.
     *
     * @param array $data Data for the form.
     * @param boolean $loadData True if the form is to load its own data (default case), false if not.
     * @return    mixed    A JForm object on success, false on failure
     * @since    2.5
     */
    public function getForm($data = array(), $loadData = true)
    {
        // Get the form.
        $form = $this->loadForm('com_mapyandex.map', 'map', array('control' => 'jform', 'load_data' => $loadData));
        if (empty($form)) {
            return false;
        }

        return $form;
    }

    function setId($id)
    {
        $this->_id = $id;
        $this->_foobar = null;
    }

}
