<?php
/*
 * @package Joomla 4.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\View\Calculator;
use Exception;
use JComponentHelper;
use JFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Slyweb\Component\Mapyandex\Administrator\Libraries\Render\MapYandexRenderAdminView;
use Slyweb\Component\Mapyandex\Administrator\Model\AllmapsModel;
use JToolbarHelper;
use JUri;
use MapYandexModelMapYandexAllMaps;

\defined('_JEXEC') or die('Restricted access');
// import the JView class
jimport('joomla.application.component.view');

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */

class HtmlView extends BaseHtmlView
{
    protected $state;
    protected $item;
    protected $form;
    protected $tmpl;

    function untextnl($text)
    {
        $text = str_replace("<br />", "\r\n", $text);
        return $text;
    }

    function display($tpl = null)
    {
        $this->activeFilters = $this->get('ActiveFilters');
        $this->filterForm = $this->get('FilterForm');

        $this->renderadmin = new MapYandexRenderAdminView();

        $this->form = $this->get('Form');
        $this->state = $this->get('State');

        $tmpl = array();
        $this->params = JComponentHelper::getParams('com_mapyandex');
        $input = Factory::getApplication()->input;

        try {
            $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
            $wa->useStyle('mapyandex');
        } catch (Exception $e) {
            var_dump($e->getMessage());
        }

        // prepare the cSS
        $css = '.icon-48-mapyandexcalculator {
				background: url("' . JURI::root(true) . '/media/com_mapyandex/colorpicker/images/icon-48-png") 0 0 no-repeat;
			}';
        // add the CSS to the document
        $wa->addInlineStyle($css);
        JToolBarHelper::title(Text::_('COM_MAPYANDEX_CALC'), 'allmaps');
        $data['layout'] = $input->get('layout');

        if ($data['layout'] == 'form') {
            JToolBarHelper::save('save', 'JTOOLBAR_SAVE');
            JToolBarHelper::cancel('cancel', 'COM_MAPYANDEX_CANCEL');
        } elseif ($data['layout'] == 'formedit') {
            JToolBarHelper::apply('apply', 'JTOOLBAR_APPLY');
            JToolBarHelper::save('save', 'JTOOLBAR_SAVE');
            JToolBarHelper::cancel('cancel', 'COM_MAPYANDEX_CANCEL');

        } else {
            JToolBarHelper::title(Text::_('COM_MAPYANDEX_CALC'), 'allmaps');
            JToolBarHelper::preferences('com_mapyandex', '460');
            JToolBarHelper::addNew('add');
            JToolBarHelper::deleteList(Text::_('COM_MAPYANDEX_CALC_DELETE_CONFIRM'), 'remove');
        }

        // interrogate the model
        $this->map = $this->get('Foobar');
        if (empty($this->map)) {

            $mapset = new AllmapsModel();
            $this->map = $mapset->getDefaultSettings();

        }
        $this->allroute = $this->get('AllRoute');
        $this->tmpl = $tmpl;
        $this->metka = $this->get('Metka');
        $pageNav = $this->get('Reviews');
        $this->pageNav = $pageNav;

        parent::display($tpl);
    }
}
?>
