<?php
/*
 * @package		Joomla.Framework
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 *
 */

namespace Slyweb\Component\Mapyandex\Administrator\View\Mapyandex;

use Exception;
use JComponentHelper;
use JFactory;
use JHtml;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Slyweb\Component\Mapyandex\Administrator\Libraries\Render\MapYandexRenderAdmin;
use Slyweb\Component\Mapyandex\Administrator\Libraries\Render\MapYandexRenderInfo;
use Slyweb\Component\Mapyandex\Administrator\Model\AllmapsModel;
use JToolbarHelper;
use JUri;

\defined('_JEXEC') or die();
jimport('joomla.application.component.view');

class HtmlView extends BaseHtmlView
{
	protected $state;
	protected $item;
	protected $form;
	protected $tmpl;

	function display($tpl = null)
	{

		$this->form	= $this->get('Form');
		$this->state = $this->get('State');
		$tmpl = array();
		$this->params = JComponentHelper::getParams('com_mapyandex');
		$this->MapYandexRenderAdmin = new MapYandexRenderAdmin();
		$this->MapYandexRenderInfo = new MapYandexRenderInfo();

		if (!Factory::getApplication()->isClient('administrator')) {
			$tUri = JURI::base();
			$jsLink = JURI::base(true) . '/administrator';
		}

        JHTML::stylesheet(JURI::base() . '/components/com_mapyandex/assets/themes/base/jquery.ui.all.css');
        JHTML::script(JURI::base() . '/components/com_mapyandex/assets/js/jquery-1.7.2.min.js');

        try {
            $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
            $wa->useStyle('mapyandex');

        } catch (Exception $e) {
            var_dump($e->getMessage());
        }


		// prepare the cSS
			$css = '.icon-48-mapyandexallmaps {
				background: url("' . JURI::root(true) . '/media/com_mapyandex/colorpicker/images/icon-48-png") 0 0 no-repeat;
			}';
            // add the CSS to the document
        $wa->addInlineStyle($css);

		JToolBarHelper::title(Text::_('COM_MAPYANDEX'), 'mapyandexallmaps');
        $input = Factory::getApplication()->input;
		$data['layout'] = $input->get('layout');

		if($data['layout'] == 'form') {
			JToolBarHelper::save('save', 'JTOOLBAR_SAVE');
			JToolBarHelper::cancel('cancel', 'COM_MAPYANDEX_CANCEL');
		}
		elseif($data['layout'] == 'formedit') {

			JToolBarHelper::apply('apply', 'JTOOLBAR_APPLY');
			JToolBarHelper::save('save', 'JTOOLBAR_SAVE');
			JToolBarHelper::cancel('cancel', 'COM_MAPYANDEX_CANCEL');

		} else {
			JToolBarHelper::title(Text::_('COM_MAPYANDEX'), 'mapyandexallmaps');
			JToolBarHelper::preferences('com_mapyandex', '460');

		}

		// interrogate the model
		$this->foobar = $this->get('Foobar');
		if(empty($this->foobar)) {

			$mapset = new AllmapsModel();
			$this->foobar = $mapset->getDefaultSettings();
		}

		$this->allroute = $this->get('AllRoute');
		$this->tmpl = $tmpl;
		$this->metka = $this->get('Metka');

		$params = JComponentHelper::getParams('com_mapyandex');
		$this->key = $params->get('key');

		$this->setLayout('row');

		parent::display($tpl);
	}
}
?>
