<?php
/*
 * @package Joomla 4.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access

namespace Slyweb\Component\Mapyandex\Administrator\View\Region;

use Exception;
use JComponentHelper;
use JFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Slyweb\Component\Mapyandex\Administrator\Helper\MapyandexHelper;
use JToolbarHelper;

\defined('_JEXEC') or die('Restricted access');

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class HtmlView extends BaseHtmlView
{
    protected $state;
    protected $item;
    protected $form;
    protected $tmpl;
    /**
     * @var \Joomla\Input\Input
     */
    private $input;

    function untextnl($text)
    {
        $text = str_replace("<br />", "\r\n", $text);

        return $text;
    }

    function display($tpl = null)
    {
        $app = JFactory::getApplication();
        $this->form = $this->get('Form');
        $this->state = $this->get('State');
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->params = JComponentHelper::getParams('com_mapyandex');
        $this->input = Factory::getApplication()->input;

        if (!$app->isClient('administrator')) {

        }

        try {
            $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
            $wa->useStyle('mapyandex');
        } catch (Exception $e) {
            var_dump($e->getMessage());
        }

        JToolBarHelper::title(Text::_('COM_MAPYANDEX_REGIONS'), 'mapyandexe');

        $data['layout'] = $this->input->get('layout');
        $this->map = $this->get('Map');

        if ($data['layout'] == 'form' && !empty($this->map)) {
            JToolBarHelper::apply('apply', 'JTOOLBAR_APPLY');
            JToolBarHelper::save('save', 'JTOOLBAR_SAVE');
            JToolBarHelper::cancel('cancel', 'COM_MAPYANDEX_CANCEL');


            $map_region_style = (!empty($this->map->map_region_style)) ? json_decode($this->map->map_region_style) : array('0.8','#cadceb');

            $this->map->color_map_region = $map_region_style[1];
            $mh = new MapYandexHelper();
            $this->textarrayoutput = $mh->textarrayForRegions($this->map);
            $this->route = $mh->addRouteToMap($this->map);
            $this->regions = $mh->addRegionsToMap($this->map);
            $this->form->bind($this->map);
        } else {
            JToolBarHelper::deleteList('delete', 'delete');
        }

        $this->allroute = $this->get('AllRoute');
        $this->metka = $this->getModel()->getMetka();
        $pageNav = $this->getModel()->getReviews();
        $this->pageNav = $pageNav;

        parent::display($tpl);
    }
}
