<?php
/*
 * @package Joomla 4.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\View\Route;

// No direct access
use Exception;
use JComponentHelper;
use JFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Toolbar\ToolbarFactoryInterface;
use Joomla\Component\Content\Administrator\Helper\ContentHelper;
use Slyweb\Component\Mapyandex\Administrator\Helper\MapyandexHelper;
use JToolbarHelper;

\defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');

/**
 * MapYandexViewMapyandexroute View
 */

class HtmlView extends BaseHtmlView
{
    protected $state;
    protected $item;
    protected $form;
    protected $tmpl;
    /**
     * @var mixed
     */
    public $activeFilters;
    /**
     * @var mixed
     */
    public $filterForm;
    /**
     * @var \Joomla\Registry\Registry
     */
    public $params;
    /**
     * @var \Joomla\Input\Input
     */
    public $input;

    function untextnl($text)
    {
        $text = str_replace("<br />", "\r\n", $text);

        return $text;
    }

    function display($tpl = null)
    {
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');
        $this->form = $this->get('Form');
        $this->state = $this->get('State');
        $app = JFactory::getApplication();
        $this->input = Factory::getApplication()->input;

        $this->params = JComponentHelper::getParams('com_mapyandex');

        try {
            $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
            $wa->useStyle('mapyandex');
        } catch (Exception $e) {
            var_dump($e->getMessage());
        }

        JToolBarHelper::title(Text::_('COM_MAPYANDEX_ROUTES'), 'mapyandexe');
        $this->addToolbar();

        $this->allroute = $this->get('AllRoute');
        $this->metka = $this->get('Metka');
        $pageNav = $this->get('Reviews');
        $this->pageNav = $pageNav;

        parent::display($tpl);
    }

    /**
     * Add the page title and toolbar.
     *
     * @return  void
     *
     * @throws \Exception
     * @since   1.6
     */
    protected function addToolbar()
    {
        $input = Factory::getApplication()->input;
        $layout = $input->get('layout');
        $canDo = ContentHelper::getActions('com_content', 'category', $this->state->get('filter.category_id'));
        $user = $this->getCurrentUser();
        // Get the toolbar object instance
        /** @var Toolbar $toolbar */
        $toolbar = Factory::getContainer()->get(ToolbarFactoryInterface::class)->createToolbar('toolbar');

        if ($layout == 'form') {

            $this->map = $this->get('Foobar');
            $mp = new MapYandexHelper();
            $this->route = $mp->addRouteToMap($this->map);
            $this->regions = $mp->addRegionsToMap($this->map);
            $this->textarrayoutput = $mp->textarrayoutput($this->map);
            $this->form->bind($this->map);

            $toolbar->save('route.save');
            $toolbar->apply('route.apply');
            $toolbar->cancel('route.cancel');
        } else {
            if ($canDo->get('core.create') || \count($user->getAuthorisedCategories('com_mapyandex', 'core.create')) > 0) {
                //$toolbar->addNew('add');

                //JToolBarHelper::deleteList(Text::_('COM_MAPYANDEX_DELETE_CONFIRM'), 'remove');
            }
        }
    }
}
