<?php
/*
 * @package Joomla 4.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

defined('_JEXEC') or die;
JHtml::_('behavior.formvalidator');
JHtml::_('jquery.framework');
JHtml::_('formbehavior.chosen', 'select');


$script = '
	Joomla.submitbutton = function(task)
	{
			var form = document.adminForm;

			if (task == "cancel") {
				Joomla.submitform(task, document.getElementById("adminForm"));
				return;
			}
			// do field validation
			if (form.name_map_yandex.value == "") {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_NAME_MAP", true) . '" );
			}
			else if (form.city_map_yandex.value == "" && form.yandexcoord.value != 2) {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_CITY", true) . '" );

			} else if (form.street_map_yandex.value == ""  && form.yandexcoord.value != 2) {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_STREET", true) . '" );
			}
			else {
				Joomla.submitform(task, document.getElementById("adminForm"));
			}
	}
';

try {
    $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
    $wa->addInlineScript($script);
} catch (Exception $e) {

}

$trafficControl = '';
$geolocationControl = '';
$sputnik = '';
$search = '';
$scale = '';
$styleel = '';
$stylecoo = '';
$stylead = '';
$stylead = '';
$element = '';
$border = '';
$borderradius = '';

if (!strpos($this->map->width_map_yandex, '%')) {
    $this->map->width_map_yandex = $this->map->width_map_yandex . 'px';
    preg_match('@\d+@si', $this->map->width_map_yandex, $m);
    $this->map->width_map_yandex = $m[0] . 'px';
}
if (!strpos($this->map->height_map_yandex, '%')) {
    $this->map->height_map_yandex = $this->map->height_map_yandex . 'px';
    preg_match('@\d+@si', $this->map->height_map_yandex, $m);
    $this->map->height_map_yandex = $m[0] . 'px';
}

if (!empty($this->map->id_map_yandex)) {
    $this->map->id_map_yandex = $this->map->id_map_yandex;
} else {
    $this->map->id_map_yandex = $this->apikey;
}

?>

<?php

if ($this->map->yandexcoord == 1) {
    $stylecoo = 'style="display:none;"';
    $valone = 'var valone = "' . $this->map->city_map_yandex . ', ' . $this->map->street_map_yandex . '"';
    $latitude = '';
    $longitude = '';
} elseif ($this->map->yandexcoord == 2) {
    $stylead = 'style="display:none;"';
    $parsejson = json_decode($this->map->lng);
    $longitude = $parsejson->longitude_map_yandex;
    $latitude = $parsejson->latitude_map_yandex;
    $valone = 'var valone = "' . $longitude . ', ' . $latitude . '"';
} else {
    $latitude = '';
    $longitude = '';
    $stylecoo = 'style="display:none;"';
    $valone = 'var valone = "' . $this->map->city_map_yandex . ', ' . $this->map->street_map_yandex . '"';
}

$script = '


	$j = jQuery;
	$j(function(){
	$j(\'[name="yandexcoord"]\').change(function(){
		v = $j(this).children("option:selected").val()
		if(v == 2) {
			$j(".dispcoords").fadeIn("slow",function(){
				$j(".dispadres").fadeOut();
			});

		}
		else {
			$j(".dispadres").fadeIn("slow",function(){
				$j(".dispcoords").fadeOut();
			});
		}
	});
			$j(\'[name="yandexbutton"]\').change(function(){

		v = $j(this).children("option:selected").val()
		if(v == 2) {

			$j(".elyandex").fadeOut();

		}
		else {
			$j(".elyandex").fadeIn();
		}
	});
});
		<!--
		function changeDisplayImage() {
			if (document.adminForm.imageurl.value !="") {
				document.adminForm.imagelib.src="../images/banners/" + document.adminForm.imageurl.value;
			} else {
				document.adminForm.imagelib.src="images/blank.png";
			}
		}
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			alert(form);
			if (pressbutton == "cancel") {

				return;
			}
			// do field validation
			if (form.name_map_yandex.value == "") {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_NAME_MAP", true) . '" );
			}
			  else if (form.id_map_yandex.value == "") {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_ID", true) . '" );
			} else if (form.city_map_yandex.value == "") {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_CITY", true) . '" );

			} else if (form.street_map_yandex.value == "") {
				alert( "' . JText::_("COM_MAPYANDEX_ERROR_STREET", true) . '" );
			}

			else {
				submitform( pressbutton );
			}
		}
		//-->';

try {
    $wa->addInlineScript($script);
} catch (Exception $e) {

}
echo HTMLHelper::_('uitab.startTabSet', 'myTab', ['active' => 'general', 'recall' => true, 'breakpoint' => 768]);
echo HTMLHelper::_('uitab.addTab', 'myTab', 'general', Text::_('COM_MAPYANDEX_EDITINFO'));
?>

<form action="index.php" method="post" name="adminForm" id="adminForm" class="form-validate">
    <div class="main-card">
        <div class="row">
            <div class="col-lg-8">
                <fieldset>

                    <fieldset class="adminform">
                        <legend><?php echo JText::_('COM_MAPYANDEX_NEWYMAP'); ?></legend>

                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_NAMEMAP'); ?>:
                            </div>
                            <div class="controls">
                                <input type="text" class="form-control" name="name_map_yandex" id="keyword" value=""/>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_YMZOOM'); ?>:
                            </div>
                            <div class="controls">
                                <?php
                                $statez = array();
                                $statez[] = JHTML::_('select.option', '1', JText::_('1'));
                                $statez[] = JHTML::_('select.option', '2', JText::_('2'));
                                $statez[] = JHTML::_('select.option', '3', JText::_('3'));
                                $statez[] = JHTML::_('select.option', '4', JText::_('4'));
                                $statez[] = JHTML::_('select.option', '5', JText::_('5'));
                                $statez[] = JHTML::_('select.option', '6', JText::_('6'));
                                $statez[] = JHTML::_('select.option', '7', JText::_('7'));
                                $statez[] = JHTML::_('select.option', '8', JText::_('8'));
                                $statez[] = JHTML::_('select.option', '9', JText::_('9'));
                                $statez[] = JHTML::_('select.option', '10', JText::_('10'));
                                $statez[] = JHTML::_('select.option', '11', JText::_('11'));
                                $statez[] = JHTML::_('select.option', '12', JText::_('12'));
                                $statez[] = JHTML::_('select.option', '13', JText::_('13'));
                                $statez[] = JHTML::_('select.option', '14', JText::_('14'));
                                $statez[] = JHTML::_('select.option', '15', JText::_('15'));
                                $statez[] = JHTML::_('select.option', '16', JText::_('16'));
                                $statez[] = JHTML::_('select.option', '17', JText::_('17'));
                                echo JHTML::_('select.genericlist', $statez, $name = 'yandexzoom', $attribs = '', $key = 'value', $text = 'text', $selected = $this->map->yandexzoom, $idtag = false, $translate = false);
                                ?>
                            </div>
                        </div>

                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_YMELIS'); ?>:

                            </div>
                            <div class="controls">
                                <?php
                                $stateb = array();
                                $stateb[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_YES'));
                                $stateb[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_NO'));
                                echo JHTML::_('select.genericlist', $stateb, $name = 'yandexbutton', $attribs = null, $key = 'value', $text = 'text', $selected = $this->map->yandexbutton, $idtag = false, $translate = false);
                                ?>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="control-label">
                                <?php

                                if ($this->map->yandexbutton == 2) {
                                    $styleel = 'style="display:none;"';
                                }
                                ?>

                                <?php echo JText::_('COM_MAPYANDEX_WHATEL'); ?>:
                            </div>
                            <div class="controls">

                                <?php
                                $el = array(1, 2, 3, 4, 5);
                                $attribs = 'multiple="multiple"';
                                $statem = array();
                                $statem[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_TRAFFICCONTROL'));
                                $statem[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_GEOLOCATIONCONTROL'));
                                $statem[] = JHTML::_('select.option', '3', JText::_('COM_MAPYANDEX_TYPEOFMAP'));
                                $statem[] = JHTML::_('select.option', '4', JText::_('COM_MAPYANDEX_SEARCH'));
                                $statem[] = JHTML::_('select.option', '5', JText::_('COM_MAPYANDEX_ZOOM'));

                                echo JHTML::_('select.genericlist', $statem, $name = 'yandexel[]', $attribs, $key = 'value', $text = 'text', $selected = $el, $idtag = false, $translate = false);
                                ?>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_DEFAULT_TYPE_MAP'); ?>:
                            </div>
                            <div class="controls">
                                <?php
                                $attribs = '';
                                $defmap = array();
                                $defmap[] = JHTML::_('select.option', 'map', JText::_('COM_MAPYANDEX_DEFAULT_TYPE_SCHEME'));
                                $defmap[] = JHTML::_('select.option', 'satellite', JText::_('COM_MAPYANDEX_SPUTNIC'));
                                $defmap[] = JHTML::_('select.option', 'hybrid', JText::_('COM_MAPYANDEX_DEFAULT_TYPE_GYBRID'));
                                $defmap[] = JHTML::_('select.option', 'publicMap', JText::_('COM_MAPYANDEX_DEFAULT_TYPE_PEOPLE'));
                                $defmap[] = JHTML::_('select.option', 'publicMapHybrid', JText::_('COM_MAPYANDEX_DEFAULT_TYPE_SPUTNIC_PEOPLE'));

                                echo JHTML::_('select.genericlist', $defmap, $name = 'defaultmap', $attribs, $key = 'value', $text = 'text', $selected = $this->map->defaultmap, $idtag = false, $translate = false);
                                ?>
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_WIDTHMAP'); ?>:
                            </div>
                            <div class="controls">
                                <input class="form-control" type="text" name="width_map_yandex"
                                       value="<?php echo $this->map->width_map_yandex; ?>">
                            </div>
                        </div>
                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_HEIGHTMAP'); ?>:
                            </div>
                            <div class="controls">
                                <input class="form-control" type="text" name="height_map_yandex"
                                       value="<?php echo $this->map->height_map_yandex; ?>">
                            </div>
                        </div>

                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_MAPTAG'); ?>:
                            </div>
                            <div class="controls">
                                <input class="form-control" type="text" name="oblako_width_map_yandex" value="100">
                            </div>
                        </div>

                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_AUTOZOOM'); ?>:
                            </div>
                            <div class="controls">
                                <?php
                                $statecoord = array();
                                $statecoord[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_YES'));
                                $statecoord[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_NO'));
                                echo JHTML::_('select.genericlist', $statecoord, $name = 'autozoom', $attribs = null, $key = 'value', $text = 'text', $selected = $this->map->autozoom, $idtag = false, $translate = false);
                                ?>
                            </div>
                        </div>

                        <div class="control-group">
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_METHOD_SEARCH'); ?>
                            </div>
                            <div class="controls">

                                <?php
                                $search = array();
                                $search[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_ADRESS'));
                                $search[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_COORD'));
                                echo JHTML::_('select.genericlist', $search, $name = 'yandexcoord', $attribs = null, $key = 'value', $text = 'text', $selected = $this->map->yandexcoord, $idtag = false, $translate = false);
                                ?>
                            </div>
                        </div>

                        <div class="control-group dispadres" <?php echo $stylead; ?>>
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_CITY'); ?>:
                            </div>
                            <div class="controls">
                                <input class="form-control" type="text" name="city_map_yandex"
                                       value="<?php echo $this->map->city_map_yandex; ?>">
                            </div>
                        </div>

                        <div class="control-group dispadres" <?php echo $stylead; ?>>
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_STREET'); ?>:
                            </div>
                            <div class="controls">
                                <input class="form-control" type="text" name="street_map_yandex"
                                       value="<?php echo $this->map->street_map_yandex; ?>">
                            </div>
                        </div>

                        <div class="control-group dispcoords" <?php echo $stylecoo; ?>>
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_COORDINATES'); ?>:
                            </div>
                            <div class="controls">
                                <a data-bs-target="#myModal" class="mybuttonclass"
                                   title="<?php echo Text::_('COM_MAPYANDEX_OPENMODAL'); ?>"
                                   data-bs-toggle="modal" role="button">
                                    <?php echo Text::_('COM_MAPYANDEX_OPENMODAL'); ?>
                                </a>
                                <?php
                                // Add the modal field script to the document head.

                                $modalHTML = HTMLHelper::_(
                                	'bootstrap.renderModal',
                                	'myModal',
                                	[
                                        'title' => JText::_('COM_MAPYANDEX_OPENMODAL'),
                                        'url' => Route::_('index.php?option=com_mapyandex&view=ajax&tmpl=component&cid[]=1'),
                                        'bodyHeight' => 70,
                                        'modalWidth' => 80,
                                        'footer' => '<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">' . Text::_('COM_MAPYANDEX_CLOSE_MODAL') . '</button>',
                                    ]
                                );

                                ?>
                                <?php echo $modalHTML; ?>

                            </div>
                        </div>

                        <div class="control-group dispcoords" <?php echo $stylecoo; ?>>
                            <div class="control-label">
                                <?php echo JText::_('COM_MAPYANDEX_LNG'); ?>:
                            </div>
                            <div class="controls">
                                <input class="form-control" type="text" id="latitude"
                                       name="latitude_map_yandex"
                                       value="<?php echo $latitude; ?>">
                                <br />
                                <input class="form-control" type="text" id="longitude"
                                       name="longitude_map_yandex"
                                       value="<?php echo $longitude; ?>">
                            </div>
                        </div>


                    </fieldset>


                </fieldset>
            </div>


            <div class="col-lg-4">

                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_TEXTATG'); ?>:
                    </div>
                    <div class="controls">

                        <textarea class="form-control" name="misil" rows="10"></textarea>

                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_TEXTTAGONCLICK'); ?>:
                    </div>
                    <div class="controls">
                        <?php echo $this->map->misilonclick; ?></textarea>

                    </div>
                </div>


                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_WHERE_TEXT_MAP_YANDEX'); ?>:
                    </div>
                    <div class="controls">


                        <?php
                        $statet = array();
                        $statet[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_NOT_USE'));
                        $statet[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_BEFORE_MAP'));
                        $statet[] = JHTML::_('select.option', '3', JText::_('COM_MAPYANDEX_AFTER_MAP'));
                        echo JHTML::_('select.genericlist', $statet, $name = 'where_text', $attribs = null, $key = 'value', $text = 'text', $selected = 1, $idtag = false, $translate = false);
                        ?>
                    </div>
                </div>


                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_YMISBORDER'); ?>:
                        <div class="controls">
                            <?php
                            $state = array();
                            $state[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_YES'));
                            $state[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_NO'));
                            echo JHTML::_('select.genericlist', $state, $name = 'yandexborder', $attribs = null, $key = 'value', $text = 'text', $selected = $this->map->yandexborder, $idtag = false, $translate = false);
                            ?>
                        </div>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_YMCOLORBORDER'); ?>:
                        <div class="controls">
                            <?php echo $this->form->getInput('color_map_yandex'); ?>
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_CBORDER'); ?>:
                        <div class="controls">
                            <?php
                            $statec = array();
                            $statec[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_YES'));
                            $statec[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_NO'));
                            echo JHTML::_('select.genericlist', $statec, $name = 'bradius', $attribs = null, $key = 'value', $text = 'text', $selected = $this->map->bradius, $idtag = false, $translate = false);
                            ?>
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label">
                        <?php echo JText::_('COM_MAPYANDEX_CENTERBORDER'); ?>:
                        <div class="controls">
                            <?php
                            $statecen = array();
                            $statecen[] = JHTML::_('select.option', '1', JText::_('COM_MAPYANDEX_YES'));
                            $statecen[] = JHTML::_('select.option', '2', JText::_('COM_MAPYANDEX_NO'));
                            echo JHTML::_('select.genericlist', $statecen, $name = 'center_map_yandex', $attribs = null, $key = 'value', $text = 'text', $selected = $this->map->center_map_yandex, $idtag = false, $translate = false);
                            ?>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div class="clr"></div>
        <div class="span5 clr">

            <fieldset class="adminform">
                <legend><?php echo JText::_('COM_MAPYANDEX_NEWYMAP_DESC'); ?></legend>
            </fieldset>

            <table class="admintable" style="width:100%;">
                <tr>
                    <td>
                        <?php echo $this->form->getInput('text_map_yandex'); ?>
                    </td>
                </tr>
            </table>

        </div>
    </div>
    <?php
    echo HTMLHelper::_('uitab.endTab');
    ?>


    <input type="hidden" name="option" value="com_mapyandex"/>
    <input type="hidden" name="id" value=""/>
    <input type="hidden" name="view" value="allmaps"/>
    <input type="hidden" name="task" value="savenew"/>
    <input type="hidden" name="controller" value="allmaps"/>
</form>
