<?php
/*
 * @package Joomla 4.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Button\PublishedButton;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Session\Session;

/** @var \Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('table.columns')
    ->useScript('multiselect');

$extension = $this->escape($this->state->get('filter.extension'));
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$saveOrder = ($listOrder == 'a.id' && strtolower($listDirn) == 'asc');

if ($saveOrder && !empty($this->maps)) {
    $saveOrderingUrl = 'index.php?option=com_categories&task=categories.saveOrderAjax&tmpl=component&' . Session::getFormToken() . '=1';
    HTMLHelper::_('draggablelist.draggable');
}
HTMLHelper::_('behavior.core');
JHtml::_('behavior.multiselect');
JHtml::_('dropdown.init');
?>

<form action="<?php echo Route::_('index.php?option=com_mapyandex&view=metki'); ?>" method="post" name="adminForm" id="adminForm">
    <div id="j-sidebar-container" class="span2">
        <?php
        // Search tools bar
        echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this));
        ?>
    </div>
    <div id="j-main-container" class="span10">
        <div class="row">
            <div class="col-md-12">
                <div id="j-main-container" class="j-main-container">
                    <table class="table" id="categoryList">
                        <thead>
                        <tr>
                            <th>
                                <?php echo HTMLHelper::_('grid.checkall'); ?>
                            </th>
                            <th>
                                <?php echo HTMLHelper::_('searchtools.sort', '', 'a.id', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-sort'); ?>
                            </th>
                            <th scope="col" class="w-1 text-center">
                                <?php echo HTMLHelper::_('searchtools.sort', 'JSTATUS', 'a.published', $listDirn, $listOrder); ?>
                            </th>
                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_NAMEMARKER'); ?>
                            </th>
                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_TEXTMAR'); ?>
                            </th>
                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_WHERE'); ?>
                            </th>

                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_ICONMARKER'); ?>

                            </th>
                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_WHO'); ?>
                            </th>
                            </th>
                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_IMG'); ?>
                            </th>
                            <th>
                                <?php echo JText::_('COM_MAPYANDEX_TIME'); ?>
                            </th>
                        </tr>
                        </thead>
                        <?php
                        $k = 0;
                        for ($i = 0, $n = count($this->metki); $i < $n; $i++) {
                            $row =& $this->metki[$i];
                            $checked = JHTML::_('grid.id', $i, $row->id);
                            $link = JRoute::_('index.php?option=com_mapyandex&view=metki&layout=formedit&id=' . $row->id);
                            ?>
                            <tr class="<?php echo "row$k"; ?>">
                                <td>
                                    <?php echo $checked; ?>

                                </td>
                                <td>
                                    <?php echo $row->id; ?>
                                </td>
                                <td class="article-status text-center">
                                    <?php
                                    $options = [
                                        'task_prefix' => '',
                                        'id' => 'state-' . $row->id,
                                    ];
                                    echo (new PublishedButton())->render((int) $row->published, $i, $options);
                                    ?>
                                </td>
                                <td>
                                    <a href="<?php echo $link; ?>"><?php echo $row->name_marker; ?></a>
                                </td>
                                <td>
                                    <a href="<?php echo $link; ?>"><?php echo (!empty($row->misil)) ? $row->misil : JText::_('COM_MAPYANDEX_NO_DESCRIPTION'); ?></a>
                                </td>

                                <td style="text-align:center;">
                                    <a href="<?php echo 'index.php?option=com_mapyandex&view=map&layout=form&id=' . $row->id_map; ?>"
                                       target="_blank"><?php echo $row->id_map; ?></a>
                                </td>
                                <td style="text-align:center;">
                                    <style type="text/css">
                                        /* Tooltips */
                                        .nofon {
                                            border-radius: 6px;
                                            background: #fff;
                                            border: 1px solid #D4D5AA;
                                            padding: 10px;
                                            max-width: 200px;
                                        }


                                    </style>
                                    <?php if ($row->deficon !== '') { ?>
                                        <?php

                                        echo JHTML::tooltip(JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/deficon/' . $row->deficon . '.png', '', 'style="margin-bottom: 3px;" class="nofon"'), $title = '', JURI::root(true) . 'administrator/components/com_mapyandex/assets/images/icon-16-search.png', JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/icon-16-search.png', '', 'style="margin-bottom: 3px;"'), $href = '', $alt = 'Такой будет ваша метка!', $class = 'hasTip');

                                    } else {
                                        echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/deficon/whiteSmallPoint.png', '', 'style="width:19px; height:20px; margin-bottom: 3px;"');
                                    } ?>
                                </td>
                                <td style="text-align:center;">
                                    <?php ($row->whoadd == 0) ? $row->username = 'Это Вы!' : $row->username = $row->username;

                                    if ((int) $row->whoadd !== 0) {
                                        if ($row->username) {
                                            $row->username = '(' . $row->username . ')';
                                        } else {
                                            $row->username = '';
                                        }
                                        ?>
                                        <a href="<?php echo JURI::root(true) . '/administrator/index.php?option=com_users&view=user&layout=edit&id=' . $row->whoadd; ?>"><?php echo 'id - ' . $row->whoadd . ' ' . $row->username; ?></a>
                                        <?php
                                    } else {
                                        echo $row->username; ?></a>
                                        <?php
                                    }
                                    ?>
                                </td>

                                <td style="text-align:center;">

                                    <?php if ($row->deficon !== '') { ?>
                                        <?php
                                        $userimg = json_decode($row->userimg);
                                        $userpath = $this->params->get('userpathtoimg');

                                        if (empty($userpath)) {

                                            $userpath = '/images/mapyandex/yandexmarkerimg/';
                                        }

                                        if (strpos($userpath, '/') == 0) {
                                            $userpath = substr($userpath, 1);

                                        }
                                        if ($userimg) {
                                            if (is_file($_SERVER['DOCUMENT_ROOT'] . JURI::root(true) . '/' . $userpath . $userimg->smallfile)) {

                                                echo JHTML::_('image', $userpath . $userimg->smallfile, '', 'style="margin-bottom: 3px;"');
                                            } else {
                                                echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/noimg.jpg', '', 'style="margin-bottom: 3px;"');
                                            }
                                        } else {
                                            echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/noimg.jpg', '', 'style="margin-bottom: 3px;"');
                                        }
                                    } else {
                                        echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/deficon/whiteSmallPoint.png', '', 'style="width:19px; height:20px; margin-bottom: 3px;"');
                                    } ?>
                                </td>

                                <td style="text-align:center;">

                                    <?php

                                    echo JHTML::_('date', $row->checked_out_time);

                                    ?>

                                </td>

                            </tr>
                            <?php
                            $k = 1 - $k;
                        }
                        ?>
                        <tr>
                            <td colspan="9"><?php echo $this->pageNav->getListFooter(); ?></td>
                        </tr>
                    </table>


                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="option" value="com_mapyandex" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
    <input type="hidden" name="controller" value="metki" />
    <input type="hidden" name="view" value="metki" />
    <?php echo JHtml::_('form.token'); ?>

</form>
