<?php
/*
 * @package Joomla 4.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Slyweb\Component\Mapyandex\Administrator\Libraries\Render\MapYandexRenderAdminView;

defined('_JEXEC') or die('Restricted access');

JHtml::_('jquery.framework');
JHtml::_('formbehavior.chosen', 'select');
$r = new MapYandexRenderAdminView();
try {
    $app = JFactory::getApplication();
} catch (Exception $e) {
}
$option = $app->input->get('option');
$OPT = strtoupper($option);
echo HTMLHelper::_('uitab.startTabSet', 'myTab', ['active' => 'general', 'recall' => true, 'breakpoint' => 768]);
echo HTMLHelper::_('uitab.addTab', 'myTab', 'general', Text::_('COM_MAPYANDEX_GENERAL_OPTIONS'));
echo '<form action="index.php" method="post" name="adminForm" id="adminForm">';
echo '<div class="row-fluid">';
echo '<div class="span10 form-horizontal">';
echo '<fieldset>';

$this->editmarker = $this->editmarker[0];
$longitude = '';
$latitude = '';
$stylead = '';
$stylecoo = '';
if ($this->editmarker->yandexcoord == 1) {
    $stylecoo = 'style="display:none;"';
    $valone = 'var valone = "' . $this->editmarker->city_map_yandex . ', ' . $this->editmarker->street_map_yandex . '"';
} elseif ($this->editmarker->yandexcoord == 2) {
    $stylead = 'style="display:none;"';
    $parsejson = json_decode($this->editmarker->lng);
    $longitude = $parsejson->longitude_map_yandex;
    $latitude = $parsejson->latitude_map_yandex;
    $valone = 'var valone = "' . $latitude . ', ' . $longitude . '"';
} else {
    $stylecoo = 'style="display:none;"';
    $valone = 'var valone = "' . $this->editmarker->city_map_yandex . ', ' . $this->editmarker->street_map_yandex . '"';
}

$script = '


	$j = jQuery;
	$j(function(){
	$j(\'[name="yandexcoord"]\').change(function(){
		v = $j(this).children("option:selected").val()
		if(v == 2) {
			$j(".dispcoords").fadeIn("slow",function(){
				$j(".dispadres").fadeOut("slow");
			});

		}
		else {
			$j(".dispadres").fadeIn("slow",function(){
				$j(".dispcoords").fadeOut("slow");
			});
		}
	});
	$j(".deletefile").click(function(e){
		mid = ' . $this->editmarker->id . ';
		senddata = {mid:mid}
			e.preventDefault();
				$j.ajax({
						data:senddata,
						url: \'' . JURI::root(true) . '/administrator/index.php?option=com_mapyandex&task=ajaxdelete&view=ajaxdelete&format=row\',
						success: function(data) {
							$j(".loader_img_for_input").hide();
							$j.each(data,function(i,p){

									$j.each(p.num,function(numi,e){

										if(e == 0) {
											$j.each(p.info,function(i,e){
												if(numi == i) {

													$j(".error_delete_file:eq("+i+")").empty("");
													$j(".error_delete_file:eq("+i+")").text("' . Text::_('COM_ERROR_NO_FILE') . ' "+e);
												}
											});
										} else if(e == 2) {
											$j.each(p.info,function(i,e){
												if(numi == i) {

													$j(".error_delete_file:eq("+i+")").empty("");
													$j(".error_delete_file:eq("+i+")").text("' . Text::_('COM_ERROR_NO_PERMS') . ' "+e);
												}
											});
										} else {
											$j(".imguser img,.deletefile").fadeOut("slow");

											$j.each(p.info,function(i,e){
												if(numi == i) {

													$j(".error_delete_file:eq("+i+")").empty("");
													$j(".error_delete_file:eq("+i+")").text("' . Text::_('COM_SUCCESS_DELETE_FILE') . ' "+e);
												}

											});
										}
									});


							});

						},
						error:function(){

						},
						type:\'POST\',
						dataType:\'json\'

				});
	});
});
		<!--
		function changeDisplayImage() {
			if (document.adminForm.imageurl.value !="") {
				document.adminForm.imagelib.src="../images/banners/" + document.adminForm.imageurl.value;
			} else {
				document.adminForm.imagelib.src="images/blank.png";
			}
		}
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == "cancel") {
				submitform( pressbutton );
				return;
			}
			// do field validation
			if (form.name_marker.value == "") {
				alert( "' . Text::_("ERROR_NAME_MAP", true) . '" );
			}
			else if (form.city_map_yandex.value == "") {
				alert( "' . Text::_("ERROR_CITY", true) . '" );

			} else if (form.street_map_yandex.value == "") {
				alert( "' . Text::_("ВERROR_STREET", true) . '" );
			}

			else {
				submitform( pressbutton );
			}
		}
		//-->';

try {
    $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
    $wa->addInlineScript($script);
} catch (Exception $e) {

}

?>
<script type="text/javascript">
    function addfiletolist(startfile, smallfile) {
        $j = jQuery.noConflict();

        $j(function () {
            $j('#smallfile,#startfile').remove();


            var addimgsm = $j("<input>");
            var addimgst = $j("<input>");
            addimgsm.attr({
                name: "smallfile",
                id: "smallfile",
                type: "hidden",
                value: smallfile
            });
            addimgst.attr({
                name: "startfile",
                id: "startfile",
                type: "hidden",
                value: startfile
            });


            $j("#adminForm").append(addimgsm);
            $j("#adminForm").append(addimgst);

        });
    }


    function getElementsByClassName(node, classname) {
        if (node.getElementsByClassName) { // use native implementation if available
            return node.getElementsByClassName(classname);
        } else {
            return (function getElementsByClass(searchClass, node) {
                if (node == null)
                    node = document;
                var classElements = [],
                    els = document.getElementsByTagName("*"),
                    elsLen = els.length,
                    pattern = new RegExp("(^|\\s)" + searchClass + "(\\s|$)"), i, j;

                for (i = 0, j = 0; i < elsLen; i++) {
                    if (pattern.test(els[i].className)) {
                        classElements[j] = els[i];
                        j++;
                    }
                }
                return classElements;
            })(classname, node);
        }
    }


    $j = jQuery.noConflict();

    $j(function () {
// для файлов к предложению

        var loaderfilemessage;
        var videoFileMessage;

        // загружаем файл по событию submit
        videoFileMessage = document.getElementById("uploadfile");
        if (videoFileMessage) {
            videoFileMessage.onchange = function () {
                $j('.dialogsend .file_name_error').hide();
                $j('.dialogsend .myfile').show().text('(' + this.value + ')');
            }
        }

        $j("#uploadMessageFile").submit(function (e) {

            var checked = $j('input[name="deficon"]:checked');
            if (!checked.hasClass('deficon')) {

                $j('.myfile + div.error').remove();
                $j('.myfile').after('<div class="error" style="display:none;"><?php echo Text::_("COM_MAPYANDEX_ERROR_TYPE_MARKER_FOR_IMG", true); ?></div>');
                $j('.myfile + div.error').fadeIn(200);
                return false;
            } else {
                $j('.myfile + div.error').fadeOut(200).remove();
            }

            if (videoFileMessage) {
                if ($j('.dialogsend #videoname').val() == '') {
                    $j('.dialogsend #videoname_error').show();
                    return false;
                } else if ($j('textarea[name="videodescription"]').val() == '') {
                    $j('#videodescription_error').show();
                    return false;
                }
                var fileToUpload = videoFileMessage.files[0];

                if (!fileToUpload) {
                    $j('.dialogsend .file_name_error').show();
                    return false;
                }
                $j('.loader_img,.desc_load').show();
                $j('.loader_img_success,.submitb').hide();
                var fs = fileToUpload.size / (1024 * 1024);

                type = fileToUpload.type.split("/");
                type2 = fileToUpload.name.split('.').pop();

                switch (type[1]) {
                    case "jpeg":
                        break;
                    case "jpg":
                        break;
                    case "png":
                        break;
                    case "gif":
                    default:
                        $j('.dialogsend #file_type_error').show();
                        return false;
                        break;
                }

                if (fs > 10) {
                    $j('.dialogsend #file_size_error').show();
                    return false;
                }
                var fn = fileToUpload.name;


            }

            $j('.dialogsend #file_size_error,.dialogsend #file_name_error,.dialogsend #videodescription_error,.dialogsend #videoname_error').hide();

            var randIDS = Math.random();
            var p = $j(this);

            p.attr('target', 'filemessage');
            // в этот же файл(index.php) загружаем наш файл
            p.attr('action', '<?php echo JURI::root(true);?>/administrator/index.php?option=com_mapyandex&view=loadimg&format=row');
            id_mess = $j('.zend_form').attr('data-idmess');
            $j('#chernovikupdate').val(id_mess);

            // если первый раз, то создаём нужные элементы
            if ($j("#filemessage").length == 0) {

                // if chernovik update file
                var id_mess_hidden = $j("<input>");
                id_mess_hidden.attr({
                    name: "chernovikupdate",
                    id: "chernovikupdate",
                    type: "hidden",
                    value: id_mess
                });
                $j("#uploadMessageFile").prepend(id_mess_hidden);

                u = $j('#tabs').attr('data-sid');

                var sid = $j("<input>");
                sid.attr({
                    name: "sid",
                    id: "sid",
                    type: "hidden",
                    value: u
                });
                $j("#uploadMessageFile").prepend(sid);

                var frame = $j("<iframe>");
                frame.attr({
                    name: 'filemessage',
                    id: 'filemessage',
                    action: 'about:blank',
                    border: 0
                }).css('display', 'none');
                p.after(frame);
            } else {


            }

            $j('.dialogsend .avatar-buttons').hide('slow');
            $j('.dialogsend .myvideo').show().text(fn);


        });

    });
</script>

<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_NAMEMARKER'); ?>:
    </div>
    <div class="controls">
        <input type="text" class="form-control" name="name_marker" id="keyword"
               value="<?php echo $this->editmarker->name_marker; ?>"/>
    </div>
</div>

<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_MARKER_BALOON'); ?>:
    </div>
    <div class="controls">
        <?php
        $wih = json_decode($this->editmarker->wih);
        $baloon = array();
        $baloon[] = JHTML::_('select.option', '1', Text::_('COM_MAPYANDEX_MARKER_BALOON'));
        $baloon[] = JHTML::_('select.option', '2', Text::_('COM_MAPYANDEX_MARKER_BALOON_NOT'));

        echo JHTML::_('select.genericlist', $baloon, $name = 'baloon', $attribs = 'autocomplete="off"', $key = 'value', $text = 'text', $selected = $wih[1], $idtag = false, $translate = false);
        ?>
    </div>
</div>

<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_NAMEMAP'); ?>:
    </div>
    <div class="controls">
        <?php echo $this->allmaps ?>
    </div>
</div>


<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_SEACRHMETHOD'); ?>
    </div>
    <div class="controls">
        <?php

        $statecoord[] = JHTML::_('select.option', '1', Text::_('По адресу'));
        $statecoord[] = JHTML::_('select.option', '2', Text::_('По координатам'));
        echo JHTML::_('select.genericlist', $statecoord, $name = 'yandexcoord', $attribs = null, $key = 'value', $text = 'text', $selected = $this->editmarker->yandexcoord, $idtag = false, $translate = false);
        ?>
    </div>
</div>

<div class="control-group dispadres" <?php echo $stylead; ?>>
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_CITY'); ?>:
    </div>
    <div class="controls">
        <input type="text" class="form-control" name="city_map_yandex"
               value="<?php echo $this->editmarker->city_map_yandex; ?>">
    </div>
</div>

<div class="control-group dispadres" <?php echo $stylead; ?>>
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_STREET'); ?>
    </div>
    <div class="controls">
        <input type="text" class="form-control" name="street_map_yandex"
               value="<?php echo $this->editmarker->street_map_yandex; ?>">
    </div>
</div>

<div class="control-group dispcoords" <?php echo $stylecoo; ?>>
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_COORD'); ?>:
    </div>
    <div class="controls">


        <?php
        // Add the modal field script to the document head.

        $modalHTML = HTMLHelper::_(
            'bootstrap.renderModal',
            'myModal',
            [
                'title' => Text::_('COM_MAPYANDEX_ONLY_OPENMODAL'),
                'url' => Route::_('index.php?option=com_mapyandex&view=mapyandexajax&tmpl=component&cid[]=' . $this->editmarker->id),
                'bodyHeight' => 70,
                'modalWidth' => 80,
                'footer' => '<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">' . Text::_('CLOSE_MODAL') . '</button>',
            ]
        );

        ?>
        <?php echo $modalHTML; ?>


    </div>
</div>


<div class="control-group dispcoords" <?php echo $stylecoo; ?>>
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_LNG'); ?>
    </div>
    <div class="controls">
        <input type="text" class="form-control" id="latitude" name="latitude_map_yandex"
               value="<?php echo $latitude; ?>"> <br/>
        <input type="text" class="form-control" id="longitude" name="longitude_map_yandex"
               value="<?php echo $longitude; ?>">
    </div>
</div>


<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_MARKER_ICON_WIDTH'); ?>:
    </div>
    <div class="controls">
        <?php

        $width = array();
        $width[] = JHTML::_('select.option', '100', 100);
        $width[] = JHTML::_('select.option', '150', 150);
        $width[] = JHTML::_('select.option', '200', 200);
        $width[] = JHTML::_('select.option', '250', 250);
        $width[] = JHTML::_('select.option', '350', 350);
        $width[] = JHTML::_('select.option', '400', 400);
        echo JHTML::_('select.genericlist', $width, $name = 'width', $attribs = 'autocomplete="off"', $key = 'value', $text = 'text', $selected = $wih[0], $idtag = false, $translate = false);
        ?>
    </div>
</div>

<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_MARKER_ICON_HEIGHT'); ?>:
    </div>
    <div class="controls">
        <?php
        $height = array();
        $height[] = JHTML::_('select.option', '100', 100);
        $height[] = JHTML::_('select.option', '150', 150);
        $height[] = JHTML::_('select.option', '200', 200);
        $height[] = JHTML::_('select.option', '250', 250);
        $height[] = JHTML::_('select.option', '350', 350);
        $height[] = JHTML::_('select.option', '400', 400);
        echo JHTML::_('select.genericlist', $height, $name = 'height', $attribs = 'autocomplete="off"', $key = 'value', $text = 'text', $selected = $wih[1], $idtag = false, $translate = false);
        ?>
    </div>
</div>


<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_TEXTMAR'); ?>:
    </div>
    <div class="controls">
        <textarea name="misil" class="form-control" rows="10"
                  cols="50"><?php echo $this->editmarker->misil; ?></textarea>
    </div>
</div>

<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_TEXTMARONCLICK'); ?>:
    </div>
    <div class="controls">
        <textarea name="misilonclick" class="form-control" rows="10"
                  cols="50"><?php echo $this->editmarker->misilonclick; ?></textarea>
    </div>
</div>


<?php
$userpath = $this->params->get('userpathtoimg');

if (empty($userpath)) {

    $userpath = '/images/sampledata/1/';
}
$imgarr = json_decode($this->editmarker->userimg);

if (!empty($this->editmarker->userimg) && is_file($_SERVER['DOCUMENT_ROOT'] . JURI::root(true) . $userpath . $imgarr->startfile)) {
?>
<div class="control-group">
    <div class="control-label">
        <?php echo Text::_('COM_MAPYANDEX_USER_IMG'); ?>:
    </div>
    <br/>
    <div class="controls">
        <?php
        if (!empty($this->editmarker->userimg)) {
            $imgarr = json_decode($this->editmarker->userimg);
            $startfile = '<img class="sborder" width="500px" height="375px" src="' . JURI::root(true) . $userpath . $imgarr->startfile . '">';

            $smallfile = '<img class="sborder" width="100px" height="100px" src="' . JURI::root(true) . $userpath . $imgarr->smallfile . '">';
        } else {
            $startfile = '';
            $smallfile = '';
        }

        echo $startfile . '  </div> <br /></div>'; ?>
        <div class="control-group">
            <div class="control-label">
            <?php
                echo Text::_('COM_MAPYANDEX_USER_IMG_SMALL');
            ?>
            </div>
            <div class="controls">
                <?php
                   echo $smallfile;
                ?>
            </div>
        </div>
        </div>
        <?php } ?>


        <?php if (!empty($this->editmarker->userimg) && is_file($_SERVER['DOCUMENT_ROOT'] . JURI::root(true) . $userpath . $imgarr->startfile)) { ?>

            <div class="control-group">
                <div class="key">
                    <div class="loader_img_for_input"></div>
                    <div class="error_delete_file"></div>
                    <div class="error_delete_file"></div>
                    <button
                        class="deletefile button-cancel btn btn-danger button btn-small"><?php echo Text::_('COM_MAPYANDEX_USER_IMG_DELETE'); ?></button>
                </div>

            </div>
        <?php } ?>





        <?php

        //Иконки и дизайн маркера

        echo '<table cellspacing="3" cellpadding="0" border="0" style="background-color:white" class="table"><tbody>';
        $option = array(
            0 => 'lightblueSmallPoint', 1 => 'whiteSmallPoint', 2 => 'greenSmallPoint', 3 => 'redSmallPoint', 4 => 'yellowSmallPoint',
            5 => 'darkblueSmallPoint', 6 => 'nightSmallPoint', 7 => 'greySmallPoint', 8 => 'blueSmallPoint', 9 => 'orangeSmallPoint',
            10 => 'darkorangeSmallPoint', 11 => 'pinkSmallPoint', 12 => 'violetSmallPoint', 13 => 'airplaneIcon', 14 => 'arrowDownRightIcon',
            15 => 'arrowUpIcon', 16 => 'bankIcon', 17 => 'bicycleIcon', 18 => 'busIcon', 19 => 'carIcon', 20 => 'downhillSkiingIcon',
            21 => 'electricTrainIcon', 22 => 'gasStationIcon', 23 => 'houseIcon', 24 => 'metroKievIcon', 25 => 'metroYekaterinburgIcon',
            26 => 'phoneIcon', 27 => 'restaurauntIcon', 28 => 'skatingIcon', 29 => 'stadiumIcon', 30 => 'tailorShopIcon',
            31 => 'tireIcon', 32 => 'trolleybusIcon', 33 => 'turnRightIcon', 34 => 'workshopIcon',
            35 => 'anchorIcon', 36 => 'arrowLeftIcon', 37 => 'attentionIcon', 38 => 'barIcon', 39 => 'bowlingIcon',
            40 => 'cafeIcon', 41 => 'cellularIcon', 42 => 'dpsIcon', 43 => 'factoryIcon', 44 => 'gymIcon', 45 => 'keyMasterIcon',
            46 => 'metroMoscowIcon', 47 => 'motobikeIcon', 48 => 'photographerIcon', 49 => 'shipIcon', 50 => 'skiingIcon',
            51 => 'storehouseIcon', 52 => 'theaterIcon', 53 => 'trainIcon', 54 => 'truckIcon', 55 => 'wifiIcon', 56 => 'arrowDownLeftIcon',
            57 => 'arrowRightIcon', 58 => 'badmintonIcon', 59 => 'barberShopIcon', 60 => 'buildingsIcon', 61 => 'campingIcon',
            62 => 'cinemaIcon', 63 => 'dryCleanerIcon', 64 => 'fishingIcon', 65 => 'hospitalIcon', 66 => 'mailPostIcon',
            67 => 'metroStPetersburgIcon', 68 => 'mushroomIcon', 69 => 'pingPongIcon', 70 => 'shopIcon', 71 => 'smartphoneIcon',
            72 => 'swimmingIcon', 73 => 'tennisIcon', 74 => 'tramwayIcon', 75 => 'turnLeftIcon', 76 => 'wifiLogoIcon',);

        $this->editmarker->deficon = str_replace('Old', '', $this->editmarker->deficon);

        for ($i = 0; $i < count($option); $i++) {

            if (($i % 8) == 0) {
                echo '<tr valign="top">';
            }
            $s = '';
            if ($option[$i] == $this->editmarker->deficon) {
                $s = 'style="border-color:red;border:2px dotted red;" ';
            }
            echo '<td align="center" ' . $s . ' colname="col1">';
            echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/deficon/' . $option[$i] . '.png', '', 'style="width:19px; height:20px; margin-bottom: 3px;"');

            echo '</td>';
            if ($option[$i] == $this->editmarker->deficon) {
                echo '<td align="center" width="" style="border-color:red;border:2px dotted red;border-left:none;" colname="col2"><input type="radio" checked value="' . $option[$i] . 'Old" id="deficon0" name="deficon" class="text_area"></td>';
            } else {
                echo '<td align="center" width="" colname="col2"><input type="radio" value="' . $option[$i] . 'Old" id="deficon0" name="deficon" class="text_area"></td>';
                //Old - старый стиль отображается как изображение
            }
        }

        echo '</tr><tr valign="top">
        <td align="center" width="" colname="col1">

        </td>
        <td  colname="col2"></td>
        <td width="" colname="col3"></td>
        <td width="" colname="col4"></td>
        <td width="" colname="col5"></td>
        <td width="" colname="col6"></td>
      </tr></tbody></table>';

        echo '<h3>Значки для меток с текстом и изображениями</h3>';

        echo '<table cellspacing="3" cellpadding="0" border="0" style="background-color:white" class="table"><tbody><tr valign="top">
      </tr>';
        $option = array(
            0 => 'blackStretchyIcon', 1 => 'brownStretchyIcon', 2 => 'yellowStretchyIcon', 3 => 'yellowStretchyIcon', 4 => 'whiteStretchyIcon',
            5 => 'violetStretchyIcon', 6 => 'redStretchyIcon', 7 => 'pinkStretchyIcon', 8 => 'orangeStretchyIcon', 9 => 'nightStretchyIcon',
            10 => 'lightblueStretchyIcon', 11 => 'greyStretchyIcon', 12 => 'greenStretchyIcon', 13 => 'darkorangeStretchyIcon', 14 => 'darkgreenStretchyIcon', 15 => 'darkblueStretchyIcon', 16 => 'blueStretchyIcon',);

        for ($i = 0; $i < count($option); $i++) {

            if (!preg_match('@Stretchy@s', $option[$i], $m) && preg_match('@Old@s', $option[$i], $m)) {

            }

            if (($i % 8) == 0) {
                echo '<tr valign="top">';
            }
            $s = '';
            if ($option[$i] == $this->editmarker->deficon) {
                $s = 'style="border-color:red;border:2px dotted red;" ';
            }
            echo '<td ' . $s . ' align="center" width="" colname="col1">';
            echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/deficon/' . $option[$i] . '.png', '', 'style="width:78px; height:40px; margin-bottom: 3px;"');

            echo '</td>';
            if ($option[$i] == $this->editmarker->deficon) {
                echo '<td align="center" width="" style="border-color:red;border:2px dotted red;border-left:none;" colname="col2"><input type="radio" checked value="' . $option[$i] . '" class="deficon" name="deficon"></td>';
            } else {
                echo '<td align="center" width="" colname="col2"><input type="radio" value="' . $option[$i] . '" class="deficon" name="deficon"></td>';
            }

        }

        echo '</tr><tr valign="top">
        <td align="center" width="" colname="col1">

        </td>
        <td align="center" width="" colname="col2"></td>
        <td width="" colname="col3"></td>
        <td width="" colname="col4"></td>
        <td width="" colname="col5"></td>
        <td width="" colname="col6"></td>
        <td align="center" width="" colname="col1">

        </td>
        <td align="center" width="" colname="col2"></td>
        <td width="" colname="col3"></td>
        <td width="" colname="col4"></td>
        <td width="" colname="col5"></td>
        <td width="" colname="col6"></td>
      </tr></tbody></table>';

        echo '<h3>дополнительные значки в которые не рекомендуется вставлять изображения</h3>';
        echo '<table cellspacing="3" cellpadding="0" border="0" style="background-color:white" class="table">
		<tbody>';
        $option = array(
            0 => 'blueAirportIcon', 1 => 'blueAttentionIcon', 2 => 'blueAutoIcon', 3 => 'blueBarIcon', 4 => 'blueBarberIcon',
            5 => 'blueBeachIcon', 6 => 'blueBicycleIcon', 7 => 'blueBicycle2Icon', 8 => 'blueBookIcon', 9 => 'blueCarWashIcon',
            10 => 'blueChristianIcon', 11 => 'blueCinemaIcon', 12 => 'blueCircusIcon', 13 => 'blueCourtIcon', 14 => 'blueDeliveryIcon',
            15 => 'blueDiscountIcon', 16 => 'blueDogIcon', 17 => 'blueEducationIcon', 18 => 'blueEntertainmentCenterIcon', 19 => 'blueFactoryIcon', 20 => 'blueFamilyIcon',
            21 => 'blueFashionIcon', 22 => 'blueFoodIcon', 23 => 'blueFuelStationIcon', 24 => 'blueFuelStationIcon', 25 => 'blueGovernmentIcon',
            26 => 'blueHeartIcon', 27 => 'blueHomeIcon', 28 => 'blueHotelIcon', 29 => 'blueHydroIcon', 30 => 'blueInfoIcon',
            31 => 'blueLaundryIcon', 32 => 'blueLeisureIcon', 33 => 'blueMassTransitIcon', 34 => 'blueMedicalIcon',
            35 => 'blueMoneyIcon', 36 => 'blueParkIcon', 37 => 'blueParkingIcon', 38 => 'bluePersonIcon', 39 => 'bluePocketIcon',
            40 => 'bluePoolIcon', 41 => 'bluePostIcon', 42 => 'blueRailwayIcon', 43 => 'blueRapidTransitIcon', 44 => 'blueRepairShopIcon', 45 => 'blueRunIcon',
            46 => 'blueScienceIcon', 47 => 'blueShoppingIcon', 48 => 'blueSouvenirsIcon', 49 => 'blueSportIcon', 50 => 'blueStarIcon',
            51 => 'blueTheaterIcon', 52 => 'blueToiletIcon', 53 => 'blueUnderpassIcon', 54 => 'blueVegetationIcon', 55 => 'blueVideoIcon', 56 => 'blueWasteIcon',
            57 => 'blueWaterParkIcon', 58 => 'blueWaterwayIcon', 59 => 'blueWorshipIcon', 60 => 'blueZooIcon',);

        for ($i = 0; $i < count($option); $i++) {

            if (($i % 8) == 0) {
                echo '<tr valign="top">';
            }
            $s = '';
            if ($option[$i] == $this->editmarker->deficon) {
                $s = 'style="border-color:red;border:2px dotted red;border-right:none;" ';
            }
            echo '<td align="center" ' . $s . ' colname="col1">';
            echo JHTML::_('image', 'administrator/components/com_mapyandex/assets/images/deficon/' . $option[$i] . '.png', '', 'style="width:51px; height:62px;max-width: none; margin-bottom: 3px;"');

            echo '</td>';

            if ($option[$i] == $this->editmarker->deficon) {
                echo '<td align="center" style="border-color:red;border:2px dotted red;border-left:none;" width="" colname="col2"><input type="radio" checked value="' . $option[$i] . '" class="deficon" name="deficon"></td>';
            } else {
                echo '<td align="center" width="" colname="col2"><input type="radio" value="' . $option[$i] . '" class="deficon" name="deficon"></td>';
            }

        }

        echo '</tr></tbody></table>';

        echo '</div>';
        ?>

        </fieldset>
    </div>



    <input type="hidden" name="option" value="com_mapyandex"/>
    <input type="hidden" name="id" value="<?php echo $this->editmarker->id; ?>"/>
    <input type="hidden" name="editmarket" value="1"/>
    <input type="hidden" name="task" value="edit"/>
    <input type="hidden" name="controller" value="metki"/>
    <input type="hidden" name="view" value="metki"/>


    <?php echo HTMLHelper::_('form.token'); ?>
    </form>
<div class="clrline" style="clear:both;margin:10px 0 10px 0;"></div>
<div class="loader_img"></div>
<div class="loader_img_success">Загрузка успешно завершена!</div>
<div class="desc_load">Идёт загрузка... Дождитесь загрузки файла!</div>


<form action="/user/loadfile" enctype="multipart/form-data" method="post" id="uploadMessageFile" target="filemessage">

    <div class="dialogsend" style="margin:10px;">
        <div class="myfile"></div>
        <div class="file_name_error" style="display:none;">Вы не выбрали файл!</div>
        <div id="derectorynoperms" style="display:none;"><?php echo Text::_('COM_MAPYANDEX_NO_PERMS_FILE'); ?></div>


        <div class="upload">
            Выбрать изображение

            <input autocomplete="off" type="file" id="uploadfile" name="userVideo" value="Выберите файл"/>

        </div>
        <input type="hidden" id="chernovikupdate" name="chernovikupdate" value="1"/>
        <div class="upload">
            Загрузить...
            <input type="submit" id="uploadfilewithmessage" class="upload" name="upload-btn" value="Загрузить..."/>
        </div>


    </div>

</form>
<?php
echo HTMLHelper::_('uitab.endTab');
?>
