<?php
/*
 * @package Joomla 4.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Session\Session;

/** @var \Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('table.columns')
    ->useScript('multiselect');
$extension = $this->escape($this->state->get('filter.extension'));
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$saveOrder = ($listOrder == 'a.id' && strtolower($listDirn) == 'asc');

if ($saveOrder && !empty($this->maps)) {
    $saveOrderingUrl = 'index.php?option=com_categories&task=categories.saveOrderAjax&tmpl=component&' . Session::getFormToken() . '=1';
    HTMLHelper::_('draggablelist.draggable');
}
HTMLHelper::_('behavior.core');
?>

<form action="<?php JRoute::_('index.php?option=com_mapyandex'); ?>" method="post" name="adminForm" id="adminForm">
    <div id="j-sidebar-container" class="span2">
        <?php
        // Search tools bar
        echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this));
        ?>
    </div>
<div id="j-main-container" class="span10">
<div class="adminform">
<div class="pga-cpanel">
	<div id="cpanel">

<div id="editcell">
    <table class="table table-striped">
    <thead>
        <tr>
            <th width="5">
                <?php echo JText::_('COM_MAPYANDEX_ID'); ?>
            </th>

            <th width="20">
                <input type="checkbox" name="checkall-toggle" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" value="" onclick="Joomla.checkAll(this);" />
            </th>
			<th width="200">
                <?php echo JText::_('COM_MAPYANDEX_NAMEMAP'); ?>
            </th>
            <th>
                <?php echo JText::_('COM_MAPYANDEX_DESCRIPTIONOFTAG'); ?>
            </th>
			<th>
                <?php echo JText::_('COM_MAPYANDEX_HITS'); ?>
            </th>
			<th>
                <?php echo JText::_('COM_MAPYANDEX_YMCODE'); ?>
            </th>
			<th>
                <?php echo JText::_('COM_MAPYANDEX_REGIONS_COUNT'); ?>
            </th>
        </tr>
    </thead>
    <?php
    $k = 0;

    for ($i=0, $n=count($this->allroute); $i < $n; $i++)
    {
        $row =& $this->allroute[$i];
        $checked    = JHTML::_('grid.id', $i, $row->id);
        $link = JRoute::_('index.php?option=com_mapyandex&view=region&layout=form&id=' . $row->id);

        ?>
        <tr class="<?php echo "row$k"; ?>">
		    <td>
                <?php echo $row->id; ?>
            </td>

            <td>
              <?php echo $checked; ?>
            </td>
			            <td>
               <a href="<?php echo $link; ?>"><?php echo $row->name_map_yandex; ?></a>
            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo (!empty($row->misil)) ? $row->misil : JText::_('COM_MAPYANDEX_NO_DESCRIPTION'); ?></a>
            </td>
			<td>
                <?php echo $row->hits; ?>
            </td>
			<td>
                <?php echo '{mapyandex_id=' . $row->id . '}' ?>
            </td>
			<td>
                <?php

					$region = json_decode($row->region_map_yandex);
					echo (!empty($region)) ? count($region) : 0;

				?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="7"><?php echo $this->pageNav->getListFooter(); ?></td>
</tr>
    </table>

</div>

<input type="hidden" name="option" value="com_mapyandex" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="region" />
<input type="hidden" name="view" value="region" />
<?php echo JHtml::_('form.token'); ?>
</form>

