<?php
/*
 * @package Joomla 4.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

use Joomla\CMS\HTML\Helpers\StringHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Session\Session;

/** @var \Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = $this->document->getWebAssetManager();
$wa->useScript('table.columns')
    ->useScript('multiselect');
$extension = $this->escape($this->state->get('filter.extension'));
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$saveOrder = ($listOrder == 'a.id' && strtolower($listDirn) == 'asc');
if ($saveOrder && !empty($this->maps)) {
    $saveOrderingUrl = 'index.php?option=com_categories&task=categories.saveOrderAjax&tmpl=component&' . Session::getFormToken() . '=1';
    HTMLHelper::_('draggablelist.draggable');
}
HTMLHelper::_('behavior.core');
JHtml::_('behavior.multiselect');
JHtml::_('dropdown.init');
?>

<form action="<?php JRoute::_('index.php?option=com_mapyandex'); ?>" method="post" name="adminForm" id="adminForm">
    <div id="j-sidebar-container" class="span2">
        <?php
        // Search tools bar
        echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this));
        ?>
    </div>
    <div id="j-main-container" class="span10">
        <div class="row">

            <div class="col-md-12">
                <div id="j-main-container" class="j-main-container">
                    <div id="editcell">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>
                                    <?php echo Text::_('COM_MAPYANDEX_ID'); ?>
                                </th>

                                <th>
                                    <?php echo HTMLHelper::_('grid.checkall'); ?>
                                </th>
                                <th>
                                    <?php echo Text::_('COM_MAPYANDEX_NAMEMAP'); ?>
                                </th>
                                <th>
                                    <?php echo Text::_('COM_MAPYANDEX_DESCRIPTIONOFTAG'); ?>
                                </th>
                                <th>
                                    <?php echo Text::_('COM_MAPYANDEX_HITS'); ?>
                                </th>
                                <th>
                                    <?php echo Text::_('COM_MAPYANDEX_YMCODE'); ?>
                                </th>
                                <th>
                                    <?php echo Text::_('COM_MAPYANDEX_TOTAL'); ?>
                                </th>
                            </tr>
                            </thead>
                            <?php
                            $k = 0;

                            for ($i = 0, $n = count($this->allroute); $i < $n; $i++) {
                                $row =& $this->allroute[$i];
                                $checked = JHTML::_('grid.id', $i, $row->id);
                                $link = JRoute::_('index.php?option=com_mapyandex&view=route&layout=form&id=' . $row->id);

                                ?>
                                <tr class="<?php echo "row$k"; ?>">
                                    <td>
                                        <?php echo $row->id; ?>
                                    </td>

                                    <td>
                                        <?php echo $checked; ?>
                                    </td>
                                    <td>
                                        <a href="<?php echo $link; ?>">
                                            <?php echo StringHelper::truncate($row->name_map_yandex, 25, true, true); ?>
                                        </a>
                                    </td>
                                    <td>
                                        <a href="<?php echo $link; ?>"> <?php echo (!empty($row->misil)) ? $row->misil : Text::_('COM_MAPYANDEX_NO_DESCRIPTION'); ?></a>
                                    </td>
                                    <td>
                                        <?php echo $row->hits; ?>
                                    </td>
                                    <td>
                                        <?php echo '{mapyandex_id=' . $row->id . '}' ?>
                                    </td>

                                    <td>
                                        <?php
                                        $route = json_decode($row->route_map_yandex);
                                        if (!empty($route)) echo count($route); else echo 0;

                                        ?>
                                    </td>
                                </tr>
                                <?php
                                $k = 1 - $k;
                            }
                            ?>
                            <tr>
                                <td colspan="7"><?php echo $this->pageNav->getListFooter(); ?></td>
                            </tr>
                        </table>

                    </div>

                    <input type="hidden" name="option" value="com_mapyandex"/>
                    <input type="hidden" name="task" value=""/>
                    <input type="hidden" name="boxchecked" value="0"/>
                    <input type="hidden" name="controller" value="route"/>
                    <input type="hidden" name="view" value="route"/>
                    <?php echo JHtml::_('form.token'); ?>
</form>
