<?php
/*
 * @package Joomla 2.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Site\Model;

// No direct access

\defined('_JEXEC') or die('Restricted access');

use Exception;
use JComponentHelper;
use JFactory;
use JFTP;
use Joomla\CMS\MVC\Model\ListModel;
use JUri;
use Slyweb\Component\Mapyandex\Administrator\Libraries\Wideimage\MapyandexWideImage;

class LoadimgModel extends ListModel
{
    function __construct()
    {
        parent::__construct();
        // get the cid array from the default request hash
        $id = JRequest::getVar('id', 1);

        $this->setId($id);
    }

    function setId($id)
    {
        $this->_id = $id;
        $this->_foobar = null;
    }



    function textnl($text)
    {
        $text = str_replace("\r\n", "<br />", $text);
        $text = str_replace("\r", "<br />", $text);
        $text = str_replace("\n\n", '<p>', $text);
        $text = str_replace("\n", '<br />', $text);

        return addslashes($text);
    }

    /**
     * Load image from site
     * @return array of image
     * @since 2.5
     */
    public function getLoadFile()
    {

        $firstfilenm = $_FILES['userVideo']['name'];
        $albumhidden = $_POST['sid'];

        $wideimage = new MapyandexWideImage();
        $uniqid = uniqid();

        $filenm = $firstfilenm;
        /* Upload */
        $params = JComponentHelper::getParams('com_mapyandex');
        $userpath = $params->get('userpathtoimg');

        if (!$userpath) {
            $userpath = '/media/com_mapyandex/yandexmarkerimg/';
        }
        $targetDir = $_SERVER['DOCUMENT_ROOT'] . JURI::root(true) . $userpath;
        /* if directory doesnt exist, create it */
        if (!file_exists($targetDir) || !is_dir($targetDir)) {
            mkdir($targetDir);
        }
        /* make sure directory is readable/writable */
        if (!is_readable($targetDir) || !is_writable($targetDir)) {

        }

        /* upload the file */
        $ex = explode('.', $filenm);
        $extension = end($ex);
        $filename = $filenm;
        $absolutePath = $targetDir . $filename;

        if (@file_exists($absolutePath)) {
            @unlink($absolutePath);
        }

        if (!empty($_FILES['userVideo'])) {
            $explode = explode('/', $_FILES['userVideo']['type']);

            switch ($explode[1]) {
                case 'jpeg':
                    break;
                case 'jpg':
                    break;
                case 'gif':
                    break;
                case 'png':
                    break;
                default:
                    echo '
				<script type="text/javascript">
				window.top.document.getElementById("file_type_error").style.display="block";
				window.top.document.getElementById("#avatar-buttons").style.display="block";</script>';
                    die();
            }

            if (filesize($_FILES['userVideo']['tmp_name']) / 1024 > 10000) {
                echo '<script type="text/javascript">window.top.document.getElementById("file_size_error").style.display="block";</script>';
                die();
            }

            if (!is_writable($targetDir)) {

                $config = JFactory::getConfig($_SERVER['DOCUMENT_ROOT'] . JURI::root(true) . 'configuration.php');
                $ftp = new JFtp();
                $ftp->connect($config->get('ftp_host'), $config->get('ftp_port'));

                if (!$ftp->login($config->get('ftp_user'), $config->get('ftp_pass'))) {
                    echo '<script type="text/javascript">
							window.top.document.getElementById("derectorynoperms").style.display="block";
						</script>';

                    return false;
                } else {
                    if ($ftp->isConnected()) {
                        $ftp->chmod($config->get('ftp_root') . $userpath, '0777');
                        $ftp->store($_FILES['userVideo']['tmp_name'], $config->get('ftp_root') . $userpath . $uniqid . '.' . $extension);
                        $sf = $uniqid . '_s.' . $extension;
                        $nf = $uniqid . '_n.' . $extension;
                        if ($extension == 'png') {
                            $compress = 6;
                        } else {
                            $compress = 90;
                        }

                        $wideimage::load($targetDir . $uniqid . '.' . $extension)->resize(200, 200, 'inside')->crop('center', 'center', 100, 100)->saveToFile($targetDir . $sf, $compress);
                        $wideimage::load($targetDir . $uniqid . '.' . $extension)->resize(500, 500, 'inside')->crop('center', 'center', 500, 500)->saveToFile($targetDir . $nf, $compress);
                    }
                }
                $ftp->chmod($config->get('ftp_root') . $userpath, '0755');
                $ftp->quit();

            } else {
                if (move_uploaded_file($_FILES['userVideo']['tmp_name'], $targetDir . $uniqid . '.' . $extension)) {
                    $sf = $uniqid . '_s.' . $extension;
                    $nf = $uniqid . '_n.' . $extension;

                    if ($extension == 'png') {
                        $compress = 6;
                    } else {
                        $compress = 90;
                    }
                    try {
                        $wideimage::load($targetDir . $uniqid . '.' . $extension)->resize(200, 200, 'inside')->crop('center', 'center', 100, 100)->saveToFile($targetDir . $sf, $compress);
                        $wideimage::load($targetDir . $uniqid . '.' . $extension)->resize(500, 500, 'inside')->crop('center', 'center', 500, 500)->saveToFile($targetDir . $nf, $compress);
                    } catch (Exception $e) {
                        var_dump($e->getMessage());
                    }

                }

            }

        } else {

        }

        $this->_img = array('startfile' => $nf, 'smallfile' => $sf);

        return $this->_img;

    }


}
