<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Site\Model;

// No direct access

\defined('_JEXEC') or die('Restricted access');

use JFactory;
use Joomla\CMS\Factory;

use Joomla\CMS\MVC\Model\ListModel;
use JPagination;

class MapajaxModel extends ListModel
{
    var $_foobar;
    var $_editmarker;

    function __construct()
    {
        parent::__construct();
        // get the cid array from the default request hash
        $app = Factory::getApplication();
        $id = $app->input->getInt('id');
        $this->input = JFactory::getApplication()->input;
        $this->setId($id);
    }

    function setId($id)
    {
        $this->_id = $id;
        $this->_foobar = null;
    }

    function getEditmarker()
    {

        global $option, $mainframe;
        $db = JFactory::getDBO();
        $app = Factory::getApplication();
        $id = $app->input->getInt('cid');

        $query = ' SELECT * '
            . ' FROM #__map_yandex_metki WHERE id=' . $this->_id;
        $query = $db->setQuery($query);
        $this->_editmarker = $db->loadObjectList();

        return $this->_editmarker;
    }

    function getFoobar()
    {
        $app = JFactory::getApplication();
        $db = $this->getDatabase();

        $task = $app->input->getInt('task');

        if ($task !== 'add') {
            $limit = $app->input->getInt('limit', $app->getCfg('list_limit'));
            $limitstart = $app->input->getInt('limitstart');
            $query = "SELECT * FROM #__map_yandex_metki";
            $query = $db->setQuery($query, $limitstart, $limit);
            $this->_foobar = $db->loadObjectList();

        } else {
            $query = ' SELECT * '
                . ' FROM #__map_yandex_metki ORDER BY ID DESC';
            $query = $db->setQuery($query);
            $this->_foobar = $db->loadObjectList();
        }

        return $this->_foobar;
    }

    function getReviews()
    {

        $app = JFactory::getApplication();
        $limit = $app->input->getInt('limit', $app->getCfg('list_limit'));

        $limitstart = $this->input->get('limitstart', 0);
        $db = $this->getDatabase();
        $query = "SELECT count(*) FROM #__map_yandex_metki";
        $db->setQuery($query);
        $total = $db->loadResult();
        $query = "SELECT * FROM #__map_yandex_metki";
        $db->setQuery($query, $limitstart, $limit);

        if (!$db->execute()) {
            Factory::getApplication()->enqueueMessage($db->getError(), 'error');

            return false;
        }

        return $this->pageNav = new JPagination($total, $limitstart, $limit);

    }

    function textnl($text)
    {
        $text = str_replace("\r\n", "<br />", $text);
        $text = str_replace("\r", "<br />", $text);
        $text = str_replace("\n\n", '<p>', $text);
        $text = str_replace("\n", '<br />', $text);

        return addslashes($text);
    }

    function store($post)
    {
        $data = $this->input->get->post->getArray();

        $data['misil'] = $this->input->get('misil', '', 'post');
        $data['misilonclick'] = $this->input->get('misilonclick', '');

        $data['misil'] = $this->textnl($data['misil']);
        $data['misilonclick'] = $this->textnl($data['misilonclick']);

        // Make sure the hello record is valid
        (!empty($data['width_map_yandex']) && trim($data['width_map_yandex']) !== '') ? $data['width_map_yandex'] = $data['width_map_yandex'] : $data['width_map_yandex'] = 500;
        (!empty($data['height_map_yandex']) && trim($data['height_map_yandex']) !== '') ? $data['height_map_yandex'] = $data['height_map_yandex'] : $data['height_map_yandex'] = 500;

        $lng = json_encode(array('longitude_map_yandex' => $data['longitude_map_yandex'], 'latitude_map_yandex' => $data['latitude_map_yandex']));
        $gmt = gmstrftime("%Y-%m-%d %H:%M:%S");
        // Store the web link table to the database
        $db = $this->getDatabase();
        $id = $this->input->getInt('id');
        $user = JFactory::getUser(); // it's important to set the "0" otherwise your admin user information will be loaded
        if ($user->id > 0) {
            $userid = $user->id;
        } else {
            $userid = 0;
        }
        if(!empty($data['smallfile']) && !empty($data['startfile'])) {
            $userimg = json_encode(array('smallfile' => $data['smallfile'], 'startfile' => $data['startfile']));
        } else {
            $userimg = '';
        }

        if (empty($data['editmarket'])) {


            $query = "INSERT INTO #__map_yandex_metki (`name_marker`,`misil`,`misilonclick`,`city_map_yandex`, `street_map_yandex`, `checked_out`,`checked_out_time`,`ordering`,`published`,`hits`,`catid`,`params`,`yandexcoord`,`lng`,`id_map`,`deficon`,`whoadd`,`userimg`) VALUES
			('" . $data['name_marker'] . "','" . $data['misil'] . "','" . $data['misilonclick'] . "','" . $data['city_map_yandex'] . "', '" . $data['street_map_yandex'] . "', 0, '$gmt', 4, 1, 0, 1, '', '" . $data['yandexcoord'] . "','$lng', '" . $id . "', '" . $data['deficon'] . "', '" . $userid . "', '" . $userimg . "')";

        } else {
            $query = "UPDATE #__map_yandex_metki set " . $db->Quote('name_marker') . " = '" . $data['name_marker']
                . "', " . $db->Quote('misil') . " = '" . $data['misil']
                . "', " . $db->Quote('misilonclick') . " = '" . $data['misilonclick']
                . "', " . $db->Quote('city_map_yandex') . " = '" . $data['city_map_yandex']
                . "', " . $db->Quote('street_map_yandex') . " = '" . $data['street_map_yandex']
                . "', " . $db->Quote('yandexcoord') . " = '" . $data['yandexcoord']
                . "', " . $db->Quote('lng') . " = '" . $lng
                . "', " . $db->Quote('id_map') . " = '" . $data['id_map']
                . "', " . $db->Quote('deficon') . " = '" . $data['deficon']
                . "', " . $db->Quote('whoadd') . " = '" . $userid
                . "' WHERE " . $db->Quote('id') . " =" . $data['id'];
        }

        $db->setQuery($query);
        if (!$db->execute()) {
            Factory::getApplication()->enqueueMessage($db->getError(), 'error');

            return false;
        }

        return true;
    }

    function delete()
    {
        $cids = $this->input->get('cid', array(0), 'post', 'array');
        $db = JFactory::getDBO();
        if (\count($cids)) {
            foreach ($cids as $cid) {
                $query = 'DELETE FROM #__map_yandex_metki'
                    . ' WHERE id = ' . $cid;
                $db->setQuery($query);
                if (!$db->execute()) {
                    Factory::getApplication()->enqueueMessage($db->getError(), 'error');
                }
            }
        }

        return true;
    }

}
