<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Site\Model;

// No direct access
use Exception;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\Model\ItemModel;
use Joomla\CMS\Uri\Uri;
use JRegistry;

\defined('_JEXEC') or die('Restricted access');

class MapyandexModel extends ItemModel
{
    /**
     * Myextensions data array
     *
     * @var
     * @since 2.5
     */
    var $_foobar;
    /**
     * @var mixed
     * @since 2.5
     */
    private $_metka;

    function __construct()
    {
        $app = Factory::getApplication();
        $id = $app->input->getInt('id');
        $this->setId($id);
        parent::__construct();
    }

    function setId($id)
    {
        $this->_id = $id;
    }

    /**
     * Returns the query
     * @return string The query to be used to retrieve the rows from the database
     * @since 2.5
     */
    function _buildQuery($pk)
    {
        $query = ' SELECT * ' . ' FROM #__map_yandex WHERE id ="' . (int) $this->_id . '" AND published !=0';
        return $query;
    }

    function hit()
    {
        $db = $this->getDatabase();
        $db->setQuery("UPDATE #__map_yandex SET hits = hits + 1 WHERE id = " . $this->_id);
        $db->execute();
    }

    protected function populateState()
    {
        $app = Factory::getApplication();
        // Get the message id
        $id = $app->input->getInt('id');
        $this->setState('message.id', $id);

        // Load the parameters.
        $params = $app->getParams();
        $this->setState('params', $params);
        parent::populateState();
    }

    function getItem($pk = null)
    {
        if (empty($this->_foobar)) {
            $this->hit();
            $query = $this->_buildQuery($pk);
            $this->getDatabase()->setQuery($query);

            try
            {
                $query = $this->getDatabase()->execute();
            }
            catch (Exception $e)
            {
                echo $e->getMessage();
            }

            if (!$this->_foobar = $this->getDatabase()->loadObject()) {

                $app  = Factory::getApplication();
                $app->enqueueMessage(Text::_('JERROR_ALERTNOAUTHOR'), 'error');
                $app->setHeader('status', 404, true);
                $return = base64_encode(Uri::getInstance());
                $app->redirect($return, 404);
            } else {
                // Load the JSON string
                $params = new JRegistry;
                // loadJSON is @deprecated    12.1  Use loadString passing JSON as the format instead.
                $params->loadString($this->_foobar->params, 'JSON');
                //$params->loadJSON($this->_foobar->params);
                $this->_foobar->params = $params;
                // Merge global params with item params
                $params = clone $this->getState('params');
                $params->merge($this->_foobar->params);
                $this->_foobar->params = $params;
            }
        }


        return $this->_foobar;
    }

    function getMetka()
    {

        $db = $this->getDatabase();
        $query = "SELECT * FROM #__map_yandex_metki WHERE id_map  = " . $this->_id;
        $db->setQuery($query);
        $this->_metka = $db->loadObjectList();

        // return the foobar data
        return $this->_metka;

    }

}
