<?php
/*
 * @package Joomla 4.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

defined('_JEXEC') or die('Restricted access');

JHTML::script('https://api-maps.yandex.ru/2.1/?lang=ru_RU&apikey=' . $this->params->get('key'), [], []);
?>
<script type="text/javascript">
    var map, placemark;

    ymaps.ready(function () {
        ymaps.geocode("Moscow", {results: 100}).then(function (res) {
            //console.log( 123);
            //console.log( res.geoObjects.get(0));
            map = new ymaps.Map("YMapsID", {
                    // Центр карты
                    center: res.geoObjects.get(0).geometry.getCoordinates(),
                    // Коэффициент масштабирования
                    zoom: 15
                }
            );
            map.controls.add("zoomControl");
            var point = res.geoObjects.get(0).geometry.getCoordinates();

            startPlacemark = new ymaps.Placemark(point, {
                draggable: true, hideIcon: false
            }, {
                // Опции
                // Иконка метки будет растягиваться под ее контент
                preset: 'islands#blueStretchyIcon'
            });
            map.geoObjects.add(startPlacemark);
        });
    });


    function showAddress(value) {
        ymaps.geocode(value, {results: 100}).then(
            function (res) {
                if (res.geoObjects.getLength()) {
                    // point - первый элемент коллекции найденных объектов
                    var point = res.geoObjects.get(0);
                    // Добавление полученного элемента на карту
                    map.geoObjects.add(point);

                    document.getElementById('coords').value = point.geometry.getCoordinates()[0];
                    document.getElementById('coords2').value = point.geometry.getCoordinates()[1];

                    map.panTo(point.geometry.getCoordinates());
                    window.top.document.forms.ajaxmarkerform.longitude.value = point.geometry.getCoordinates()[1];
                    window.top.document.forms.ajaxmarkerform.latitude.value = point.geometry.getCoordinates()[0];
                    window.top.document.forms.ajaxmarkerform.getElementById('longitude').value = point.geometry.getCoordinates()[1];
                    window.top.document.forms.ajaxmarkerform.getElementById('latitude').value = point.geometry.getCoordinates()[0];
                    // Центрирование карты на добавленном объекте
                }
            },
            // Обработка ошибки
            function (error) {
                alert("Возникла ошибка: " + error.message);
            }
        );
    }
</script>

<div>
    <form action="#" onsubmit="showAddress(this.address.value);return false;">
        <div class="control-group">
            <div class="control-label">
                <?php echo JText::_('COM_MAPYANDEX_SAVE_COORDS_DESCRIPTION'); ?>:
            </div>
            <div class="controls">
                <input name="" type="text" class="form-control" id="address" value="" size="30"/> <br />
                <input class="find-button btn-primary" type="submit" value="<?php echo JText::_('COM_MAPYANDEX_SAVE_COORDS'); ?>"/>
            </div>
        </div>


        <div class="control-group">
            <div class="control-label">
                <?php echo JText::_('COM_MAPYANDEX_SAVE_LATITUDE'); ?>:
            </div>
            <div class="controls">
                <input name="" class="form-control" type="text" id="coords" size="30"></input>
            </div>
        </div>

        <div class="control-group">
            <div class="control-label">
                <?php echo JText::_('COM_MAPYANDEX_SAVE_LONGITUDE'); ?>:
            </div>
            <div class="controls">
                <input name="" class="form-control" type="text" id="coords2" size="30"/>
            </div>
        </div>


        <div style="margin:0;padding:0;text-align:center;width:100%;">
            <div id="YMapsID" style="margin:0;padding:0;width:100%;height:500px;margin-bottom:5px;"></div>
        </div>

    </form>


</div>
